<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

$posisi  = 0;
$sekarang = date('Y-m-d');
$hasil = mysql_query("SELECT a.perkara_id,
a.nomor_perkara,
a.pihak1_text,
a.pihak2_text,
a.proses_terakhir_text,
b.tanggal_sidang,
(GROUP_CONCAT(DISTINCT DATE_FORMAT(b.tanggal_sidang, '%d-%m-%Y') ,' | ', b.agenda ORDER BY b.tanggal_sidang ASC SEPARATOR '<br>')) AS tanggal_sidang, 
d.nama_gelar AS ketua_majelis,
f.nama_gelar AS panitera_pengganti,
b.edoc_bas
FROM  perkara a
LEFT JOIN perkara_jadwal_sidang b ON a.perkara_id = b.perkara_id 
LEFT JOIN perkara_hakim_pn c ON b.perkara_id = c.perkara_id 
LEFT JOIN hakim_pn d ON c.hakim_id = d.id 
LEFT JOIN perkara_panitera_pn e ON b.perkara_id = e.perkara_id 
LEFT JOIN panitera_pn f ON e.panitera_id = f.id
LEFT JOIN perkara_pelaksanaan_relaas g ON b.id = g.sidang_id 
WHERE c.urutan = '1'
AND (b.edoc_bas IS NULL OR b.edoc_bas ='' OR b.edoc_bas = '0')
AND DATE(b.tanggal_sidang) >= '2021-01-01'
AND b.tanggal_sidang <= NOW()
GROUP BY b.perkara_id
ORDER BY f.nama_gelar ASC, b.tanggal_sidang DESC") or die("Query failed with error: ".mysql_error());
							
	
echo "<div id='export'>";
echo "<h2>Daftar Perkara Yang Belum Upload E-Doc Berita Acara Sidang per-2021</h2><br>";
echo "<table align=center><tr>
    <th width='3%'>No.</th>
	<th width='13%'>No. Perkara</th>
	<th width='20%'>Pihak Penggugat/Pemohon</th>
	<th width='15%'>Ketua Majelis</th>	
	<th width='15%'>Panitera Pengganti</th>	
	<th width='18%'>Tgl. Sidang Terakhir | Agenda</th>
	<th>Proses Terakhir</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
echo "<p align=left>Total Perkara : <b>$totalperkara</b> Perkara</p><br>";
while($r= mysql_fetch_array($hasil)){
$tanggal1 = tgl_indo($r['tanggal_sidang']);

echo "<tr>
  <td align='center'>$no</td>
  <td>$r[nomor_perkara]</td>
  <td>$r[pihak1_text]</td>
  <td>$r[ketua_majelis]</td>
  <td>$r[panitera_pengganti]</td>
  <td>$r[tanggal_sidang]</td>
  <td align='center'>$r[proses_terakhir_text]</td></tr>";
  $no++;
}
echo "</table><br>";
?>